Draft BSpline

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BSpline and the translation is 9% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Polygon.svg Polygon

Draft BSpline.svg BSpline

Menü konumu
Taslak → BSpline
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
B S
Versiyonda tanıtıldı
0.7
Ayrıca bkz
Tel,Bezier eğrisi

Description

Açıklama

BSpline aracı, mevcut Çalışma düzleminde birçok noktadan B-Spline eğrisi oluşturur.Tepsi 'de ayarlanan Çizgi stili alır.

BSpline aracı, eğrinin geçeceği noktaları belirtir; Öte yandan, Bezier eğrisi aracı, eğrinin yönünü tanımlamak için control points kullanır. Tam dairesel veya eliptik eğriler oluşturmak için, Yay ve Elips kullanın.

Draft bspline example.jpg

Spline birçok noktayla tanımlanır

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Nasıl kullanılır

  1. Draft BSpline.png BSpline düğmesine basın veya B ardından S tuşuna basın
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle tuşuna basın.
  3. 3D görünümünde ek noktalara tıklayın veya bir koordinate yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  4. Basımı tamamlamak için Esc veya Kapat tuşuna basınız.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Seçenekler

  • Spline'ı açık bırakmak için A veya Draft FinishLine.png Çizgiyi bitir düğmesine basın.
  • Oya veya Draft CloseLine.png Çizgiyi kapat Spline kapatmak için düğmelerine basın. Bir yüz oluşturmak için son noktadan ilkine bir eğri eklenecektir. Bir yüz oluşturmak için en az üç nokta gerekir.
  • Önceden yerleştirilmiş eğri parçalarını kaldırmak için W veya Draft Wipe.svg Kaldır düğmesine basın, ancak spline'ı son noktadan düzenlemeye devam edin.
  • Geçerli çalışma düzlemini en son yönde ayarlamak için U veya Draft SelectPlane.svg Set WP düğmesine basın puan.
  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, bir sonraki noktanın koordinatları sonuncusuna göre değişir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, spline'ı bitirdikten sonra BSpline aracı yeniden başlatılır ve alet düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolu mod açıksa, kapalı bir eğri dolu bir yüz oluşturur (VERİYüz yapmak true); Aksi halde, kapalı spline bir surat yapmaz (VERİYüz yapmak false).
Note: Spline uygun bir yüz oluşturmayacağından kendisiyle kesiştiği takdirde doldurulmamalıdır. Spline doldurulur ancak şekli görünmüyorsa, spline'ı görmek için VERİYüz yapmak 'i false' e manuel olarak ayarlayın.
  • snapping noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı yatay veya dikey olarak son noktaya göre sınırlamak çizerken Shift tuşunu basılı tutun.
  • Son noktayı geri almak için Ctrl Z tuşuna basınız veya 12px Geri alma düğmesine basınız. .
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; Önceden yerleştirilmiş eğri parçaları kalacaktır.

Notes

BSpline aracı Tel aracı gibi davranır, ancak bölümlerinin her biri düz bir çizgi yerine eğridir. Birini diğerine dönüştürmek için Telden BSpline çevir kullanın.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.

Özellikler

See also: Property editor.

A Draft BSpline object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Veri

  • VERİClosed: Spline'ın kapalı olup olmadığını belirtir. Spline başlangıçta açıksa, bu değer false; true olarak ayarlamak, spline'ı kapatmak için bir eğri parçası çizecektir. Spline başlangıçta kapatılırsa, bu değer true; false olarak ayarlamak, son eğri parçasını kaldıracak ve spline'ı açacaktır.
  • VERİMake Face: Spline'ın bir surat yapıp yapmayacağını belirtir. Eğer true ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir. Bu özellik yalnızca VERİClosed true ise çalışır. : Not:, eğer spline uygun bir yüz oluşturmayacağından kendisiyle kesiştiğinde VERİMake Face ayarını true olarak ayarlamayın.
  • VERİParameterization: BSpline'ın şeklini etkiler.

View

Draft

Görünüm

  • GÖRÜNÜMArrow Size: spline sonunda görüntülenen sembolün boyutunu belirtir.
  • GÖRÜNÜMArrow Type: spline sonunda "Dot", "Circle", "Arrow" veya "Tick" olabilen sembol tipini belirtir.
  • GÖRÜNÜMEnd Arrow: Spline'ın son noktasında bir sembol gösterilip gösterilmeyeceğini belirtir, böylece bir açıklama satırı olarak kullanılabilir.
  • GÖRÜNÜMPattern: kapalı bir spline'ın yüzünü doldurmak için bir Draft Pattern belirtir. Bu özellik yalnızca VERİMake Face true ise ve GÖRÜNÜMDisplay Mode "Düz Çizgiler" ise çalışır.
  • GÖRÜNÜMPattern Size: Taslak Deseni 'nin boyutunu belirtir.

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

BSpline aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

bspline = make_bspline(pointslist, closed=False, placement=None, face=None, support=None)
bspline = make_bspline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Belirtilen nokta listesinden bir BSpline nesnesi oluşturur, pointslist.
    • Listedeki her nokta, FreeCAD.Vector ile tanımlanır ve birim milimetre cinsinden tanımlanır.
    • Alternatif olarak, giriş, noktaların çıkarıldığı bir Part.Wire olabilir.
  • closed True ise veya ilk ve son noktalar aynıysa, tel kapanır.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • Eğer face True ise ve spline kapalıysa, spline bir yüz çizer, yani dolu görünür.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

spline1 = Draft.make_bspline([p1, p2, p3], closed=False)
spline2 = Draft.make_bspline([p1, 2*p3, 1.3*p2], closed=False)
spline3 = Draft.make_bspline([1.3*p3, p1, -1.7*p2], closed=False)

doc.recompute()